import { Path } from "igniteui-react-core/ES2015/Path";
import { IList$1, Type } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export interface ITrackBarVisual {
    readonly barBox: Path;
    readonly allPaths: IList$1<Path>;
    width: number;
    height: number;
    translateX: number;
    translateY: number;
    getBarBoxDefaultBrush(): Brush;
    getBarBoxDefaultOutline(): Brush;
    getBarBoxDefaultStrokeThickness(): number;
}
export declare let ITrackBarVisual_$type: Type;
